using SteamWare;
using System;
using System.Threading;

namespace NKC_WF.ErrorPages
{
    public partial class _404 : BasePage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                var thisMaster = ((SiteContent)this.Master);
                thisMaster.showSearch = false;
                thisMaster.enableAnonym = true;
            }
            cmp_errorDetail.ErrorTitle = traduci("Err_404");
            cmp_errorDetail.ErrorExpl = traduci("Err404Expl");
            cmp_errorDetail.UserName = string.IsNullOrEmpty(User.Identity.Name) ? "N.A." : User.Identity.Name;
        }
    }
}